/**
 * Flashメモリをプログラムから操作するスケッチです。
 * 使い方によっては、プログラムを破壊できます。
 * 取り扱いには十分な注意が必要です。
 */
#include "boot/sketch.h"
#include "NyLPC_flash.h"




#include "stdio.h"
unsigned long buf[128]={0x1,0x2,0x03,0x04,0x05};
NyLPC_TcOnchipFlashWriter_t writer;
void setup(void)
{
	NyLPC_cOnchipFlashWriter_initialize(&writer);
	NyLPC_cOnchipFlashWriter_elase(&writer,29,29);
	NyLPC_cOnchipFlashWriter_writeSector(&writer,29,0,buf,5*4);
	NyLPC_cOnchipFlashWriter_finalize(&writer);
	return;
}
void loop(void)
{
	//Implementation
	//ここにメインタスクを書きます。
	for(;;){}
}
